[Deprecated]: v3.0

post

/ec-query-svc/rest/v3.0/studies/{studyId}/{mode}/queries/candidate

Deprecated: Use latest version instead. Compared to v2.0, this v3.0 endpoint accepts an optional formInstanceNumber and returns property metadata (propertyType/propertyName and userName) within the response so downstream dashboards align with the expanded audit view.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : QueryDTO Version 3
Type: object
Title: QueryDTO Version 3
Information for creating/editing query
Show Source
Example:
{\n  \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n  \"queryComment\": \"Visit date clarification required.\",\n  \"state\": \"Opened\",\n  \"subjectId\": \"762744769B0E4E40B6A74691179BC578\",\n  \"dataElementId\": \"583A45DD0A1C46F88D7842D76CAF9A59\",\n  \"dataElementVersionStart\": \"2026-01-15T10:05:30Z\",\n  \"formId\": \"680E0FB01F1B4CCB990C333563FAEE80\",\n  \"siteId\": \"CB9BBB0767114F599FE75616223D6665\",\n  \"eventId\": \"3B95322B15144E4397B30305EB33E871\",\n  \"eventInstanceNumber\": 0,\n  \"formInstanceNumber\": 0\n}
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

400 Response

Request validation failed due to missing, invalid, or inconsistent request data.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

Back to Top